<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Subscriber;

interface EventSubscriberInterface
{
    /**
     * Return event subscriptions:
     * [
     *   'event.name' => 'method',
     *   'other.event' => ['method', 100],
     * ]
     */
    public static function subscribedEvents(): array;
}
